ghcide-2.9.0.0: The core of an IDE

Safe Haskell | None
Language | GHC2021

Development.IDE.Spans.Pragmas

# Documentation

data NextPragmaInfo #

Constructors

NextPragmaInfo |
Fields nextPragmaLine :: !Int lineSplitTextEdits :: !(Maybe LineSplitTextEdits)

#### Instances

Instances details

Show NextPragmaInfo # |
Instance details Defined in Development.IDE.Spans.Pragmas Methods showsPrec :: Int -> NextPragmaInfo -> ShowS # show :: NextPragmaInfo -> String # showList :: [NextPragmaInfo] -> ShowS #

data LineSplitTextEdits #

Constructors

LineSplitTextEdits |
Fields lineSplitInsertTextEdit :: !TextEdit lineSplitDeleteTextEdit :: !TextEdit

#### Instances

Instances details

Show LineSplitTextEdits # |
Instance details Defined in Development.IDE.Spans.Pragmas Methods showsPrec :: Int -> LineSplitTextEdits -> ShowS # show :: LineSplitTextEdits -> String # showList :: [LineSplitTextEdits] -> ShowS #

getNextPragmaInfo :: DynFlags -> Maybe Text -> NextPragmaInfo #

insertNewPragma :: NextPragmaInfo -> Extension -> TextEdit #

getFirstPragma :: forall (m :: Type -> Type). MonadIO m => PluginId -> IdeState -> NormalizedFilePath -> ExceptT PluginError m NextPragmaInfo #